Bug 874195 - yum --installroot=/chroot install <package> pretends there's no package
yum --installroot=/chroot install <package> pretends there's no package
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.8
All Linux
unspecified Severity high
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On:
Blocks: 1049888
  Show dependency treegraph
 
Reported: 2012-11-07 11:57 EST by Miroslav Franc
Modified: 2016-01-31 21:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 16:25:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Miroslav Franc 2012-11-07 11:57:27 EST
Description of problem:
SSIA. Normal installation works which makes me believe the repo configuration is ok, package is there and network connection is ok as well. I tried it several times. yum search finds it and yum install installs it, but it's kinda hard to setup up chroot environment.


Version-Release number of selected component (if applicable):
yum-3.2.22-39.el5


How reproducible:
for me all the time, I don't have time to chase this, let me know if you need additional information, but it should be very easy reproducible in beaker


Steps to Reproduce:
1. Install RHEL5
2. mkdir /chroot
3. yum --installroot=/chroot install openssh-clients
  

Actual results:
# yum --installroot=/chroot install openssh-clients
Loaded plugins: katello, product-id, security, subscription-manager
Updating certificate-based repositories.
Unable to read consumer identity
Setting up Install Process
No package openssh-clients available.


Expected results:
it works



The same thing without  --installroot=/chroot from the same machine:
# yum install openssh-clients
Loaded plugins: katello, product-id, security, subscription-manager
Updating certificate-based repositories.
Unable to read consumer identity
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package openssh-clients.i386 0:4.3p2-82.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

====================================================================================================================================================================================================================
 Package                                                Arch                                        Version                                              Repository                                            Size
====================================================================================================================================================================================================================
Installing:
 openssh-clients                                        i386                                        4.3p2-82.el5                                         beaker-Server                                        455 k

Transaction Summary
====================================================================================================================================================================================================================
Install       1 Package(s)
Upgrade       0 Package(s)

Total download size: 455 k
Is this ok [y/N]: y
Downloading Packages:
openssh-clients-4.3p2-82.el5.i386.rpm                                                                                                                                                        | 455 kB     00:00
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : openssh-clients                                                                                                                                                                              1/1
Installed products updated.

Installed:
  openssh-clients.i386 0:4.3p2-82.el5

Complete!



Additional info:
Comment 1 RHEL Product and Program Management 2013-05-01 03:18:51 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 2 James Antill 2013-12-18 16:25:11 EST
> but it's kinda hard to setup up chroot environment.

 If you give --installroot an empty path, it'll create the chroot for you via. package install (assuming it has the correct data, including things like $releasever/certs/etc.)
 AFAIK this has always worked, although it's much more usable with newer versions of yum where you can do --releasever=/ etc.

 So I'm going to close this out, as it's really too late in RHEL-5 to add those kinds of UI features. But if you do want them then the first version of yum for RHEL-6 did contain them, and could be rebuilt for RHEL-5.

Note You need to log in before you can comment on or make changes to this bug.